commit:     0fcf41e2f1afcc57c110401ae58aa690ab7d1f76
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  7 20:15:21 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Mar  7 20:20:04 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0fcf41e2

dev-ruby/bluecloth: rewrite build system

In particular, avoid rake-compiler dependency since this
leads to difficult-to-resolve circular build issues between
rspec 2 and rspec 3, and there is no real need for rake-compiler
in the first place.

Package-Manager: portage-2.2.26

 dev-ruby/bluecloth/bluecloth-2.2.0-r3.ebuild | 58 ++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/dev-ruby/bluecloth/bluecloth-2.2.0-r3.ebuild 
b/dev-ruby/bluecloth/bluecloth-2.2.0-r3.ebuild
new file mode 100644
index 0000000..2093761
--- /dev/null
+++ b/dev-ruby/bluecloth/bluecloth-2.2.0-r3.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+inherit multilib ruby-fakegem eutils
+
+DESCRIPTION="A Ruby implementation of Markdown"
+HOMEPAGE="http://www.deveiate.org/projects/BlueCloth";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE="test"
+
+DEPEND+=" doc? ( dev-lang/perl )"
+
+ruby_add_bdepend "
+       dev-ruby/hoe
+       test? (
+               dev-ruby/diff-lcs
+               dev-ruby/tidy-ext
+       )"
+
+all_ruby_prepare() {
+       # for Ruby 1.9.2 and 2.2.x compatibility
+       sed -i -e '1i $: << "."' \
+               -e 's/Config/RbConfig/' Rakefile || die
+}
+
+each_ruby_configure() {
+       ${RUBY} -Cext extconf.rb || die
+}
+
+all_ruby_compile() {
+       pod2man --center --release --name bluecloth --utf8 bluecloth.1.pod 
bluecloth.1 || die
+
+       all_fakegem_compile
+}
+
+each_ruby_compile() {
+       emake -Cext
+       cp ext/bluecloth_ext$(get_modname) lib/ || die
+}
+
+all_ruby_install() {
+       doman man/man1/bluecloth.1
+
+       all_fakegem_install
+}

Reply via email to